%define anolis_release 1

%define debug_package %{nil}
%define product_family Anolis OS
%define base_release_version 8
%define dist .an%{base_release_version}

Name:           secto
Version:        %{base_release_version}
Release:        %{anolis_release}%{?dist}
Summary:        %{product_family} %{base_release_version} Security Takeover
Group:          System Environment/Base
License:        MulanPSLv2
Conflicts:      anolis-release
Provides:       secto = %{base_release_version}
Requires:       centos-linux-release >= %{base_release_version}

Source1:        MulanPSL
Source2:	RPM-GPG-KEY-ANOLIS
Source3:	centos8takeover

%description
%{product_family} %{base_release_version} Security Takeover

%prep
echo OK

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc
mkdir -p %{buildroot}/etc

# create /etc/anolis-takeover
echo "%{product_family} %{base_release_version} Security Takeover" > %{buildroot}/etc/anolis-takeover

mkdir -p -m 755 %{buildroot}/%{_bindir}/
install -m 755 %{SOURCE3} %{buildroot}/%{_bindir}/

# copy GPG keys
mkdir -p -m 755 %{buildroot}/etc/pki/rpm-gpg
install -m 644 %{SOURCE2} %{buildroot}/etc/pki/rpm-gpg

# use unbranded docdir
mkdir -p -m 755 %{buildroot}/%{_docdir}/%{name}
install -m 644 %{SOURCE1} %{buildroot}/%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/etc/anolis-takeover
%{_bindir}/centos8takeover
/etc/pki/rpm-gpg/
%{_docdir}/%{name}

%changelog
* Tue Dec 28 2021 Jacob Wang <jacob.wang@openanolis.org> - 8-1
- Initial version for secto
